petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSSetDuration

Sets the maximum number of timesteps to use and maximum time for iteration.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetDuration(TS ts,PetscInt maxsteps,PetscReal maxtime)

Logically Collective on TS Many br

### Input Parameters

| ts | - the TS context obtained from TSCreate() Many br
| maxsteps | - maximum number of iterations to use Many br
| maxtime | - final time to iterate to Many br

### Options Database Keys

-ts_max_steps <maxsteps> -Sets maxsteps Many br
-ts_final_time <maxtime> -Sets maxtime Many br

### Notes

The default maximum number of iterations is 5000. Default time is 5.0 Many br

Many br

### Keywords

TS, timestep, set, maximum, iterations

### See Also

TSSetExactFinalTime()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex2.c.html
src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex11.c.html